Subject: bug#11194: 24.0.95; sudo rm doesn't work with absolute directory paths on the file system

From: Stefan Monnier <[email-masked]>
Date: Fri, 20 Apr 2012 22:03:03 -0400

>> I'd be happy to hear of arguments in favor of the current behavior of
>> eshell/sudo w.r.t builtins.
> I've checked the implementation of eshell/sudo: It simply let-binds
> default-directory to "/sudo:user@host:dir", and let the command like rm
> run. That's why the built-in version of rm is in place.
> Another implementation of sudo would not be in the spirit of eshell, I
> think.

Spirit or not, the resulting behavior for `sudo' makes no sense and
should be fixed,

        Stefan